<?php

declare(strict_types=1);

use PhpCsFixer\Fixer\Import\OrderedImportsFixer;
use PhpCsFixer\Fixer\Import\NoUnusedImportsFixer;
use Symplify\EasyCodingStandard\Config\ECSConfig;

return ECSConfig::configure()
    ->withPaths([
        __DIR__ . '/public',
        __DIR__ . '/src',
        __DIR__ . '/tests',
    ])
    ->withRootFiles()
    ->withPhpCsFixerSets(
        per: true,
        php84Migration: true,
    )
    ->withPreparedSets(
        arrays: true,
        comments: true,
        controlStructures: true,
        strict: true,
        cleanCode: true,
    )
    ->withRules([
        NoUnusedImportsFixer::class,
        OrderedImportsFixer::class,
    ])
;
